Bug 242942 - databases/pgmodeler: Update to 0.9.2
Summary: databases/pgmodeler: Update to 0.9.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://pgmodeler.io/blog/2019/12/26/...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-28 16:02 UTC by Loïc Bartoletti
Modified: 2020-01-02 19:52 UTC (History)
1 user (show)

See Also:


Attachments
pgmodeler 0.9.2 (10.44 KB, patch)
2019-12-28 16:02 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff
pgmodeler-0.9.2 (10.44 KB, patch)
2020-01-02 16:37 UTC, Loïc Bartoletti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti freebsd_committer 2019-12-28 16:02:39 UTC
Created attachment 210287 [details]
pgmodeler 0.9.2

databases/pgmodeler: Update to 0.19.1

 * Update to 0.9.2
 * Remove useless patches
 * Remove plugins. Now there is a separated repo [1]

[1] https://github.com/pgmodeler/plugins The only real plugin `graphicalquerybuilder` needs to download a "header only" dependency that wants to ... download and compile boost... I'll look at it later. 

 Changelog:

   https://github.com/pgmodeler/pgmodeler/blob/develop/CHANGELOG.md#v092

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 11, 12, 13 ; i386/amd64)
Comment 1 Tobias C. Berner freebsd_committer 2020-01-01 21:27:29 UTC
Moin moin

Fails to fetch:
=> pgmodeler-pgmodeler-v0.9.2_GH0.tar.gz doesn't seem to exist in /portdistfiles/.
=> Attempting to fetch https://codeload.github.com/pgmodeler/pgmodeler/tar.gz/v0.9.2?dummy=/pgmodeler-pgmodeler-v0.9.2_GH0.tar.gz
fetch: https://codeload.github.com/pgmodeler/pgmodeler/tar.gz/v0.9.2?dummy=/pgmodeler-pgmodeler-v0.9.2_GH0.tar.gz: size unknown
fetch: https://codeload.github.com/pgmodeler/pgmodeler/tar.gz/v0.9.2?dummy=/pgmodeler-pgmodeler-v0.9.2_GH0.tar.gz: size of remote file is not known
pgmodeler-pgmodeler-v0.9.2_GH0.tar.gz                 3838 kB 1207 kBps    04s
=> Fetched file size mismatch (expected 3930497, actual 3930633)
=> Trying next site
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/pgmodeler-pgmodeler-v0.9.2_GH0.tar.gz
fetch: http://distcache.FreeBSD.org/ports-distfiles/pgmodeler-pgmodeler-v0.9.2_GH0.tar.gz: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /portdistfiles/ and try again.


mfg Tobias
Comment 2 Loïc Bartoletti freebsd_committer 2020-01-02 16:37:21 UTC
Created attachment 210395 [details]
pgmodeler-0.9.2

Fix checksum.

The previous checksum was a corrupted one on an attempt to fetch pgmodeler and plugins.
Comment 3 commit-hook freebsd_committer 2020-01-02 19:52:20 UTC
A commit references this bug:

Author: tcberner
Date: Thu Jan  2 19:51:52 UTC 2020
New revision: 521872
URL: https://svnweb.freebsd.org/changeset/ports/521872

Log:
  databases/pgmodeler: Update to 0.9.2

  PR:		242942
  Submitted by:	Lo?c Bartoletti <lbartoletti@tuxfamily.org> (maintainer)

Changes:
  head/databases/pgmodeler/Makefile
  head/databases/pgmodeler/distinfo
  head/databases/pgmodeler/files/patch-main-cli_main-cli.pro
  head/databases/pgmodeler/files/patch-pgmodeler.pro
  head/databases/pgmodeler/pkg-plist
Comment 4 Tobias C. Berner freebsd_committer 2020-01-02 19:52:43 UTC
Committed, thanks.